Index: code/branches/pickup3/src/orxonox/pickup/items/HealthImmediate.cc
===================================================================
--- code/branches/pickup3/src/orxonox/pickup/items/HealthImmediate.cc	(revision 6418)
+++ code/branches/pickup3/src/orxonox/pickup/items/HealthImmediate.cc	(revision 6419)
@@ -59,4 +59,5 @@
     }
 
+    //TODO: Should be destroyed anyways...
     bool HealthImmediate::pickedUp(Pawn* pawn)
     {
Index: code/branches/pickup3/src/orxonox/pickup/items/HealthImmediate.h
===================================================================
--- code/branches/pickup3/src/orxonox/pickup/items/HealthImmediate.h	(revision 6418)
+++ code/branches/pickup3/src/orxonox/pickup/items/HealthImmediate.h	(revision 6419)
@@ -45,19 +45,21 @@
     class _OrxonoxExport HealthImmediate : public PassiveItem
     {
-    public:
-        HealthImmediate(BaseObject* creator);
-        virtual ~HealthImmediate();
+        //TODO: Comment.
+        //Does this get destroyed, when the healt is delivered? It seems to me it doesn't.
+        public:
+            HealthImmediate(BaseObject* creator);
+            virtual ~HealthImmediate();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-        virtual bool pickedUp(Pawn* pawn);
+            virtual bool pickedUp(Pawn* pawn);
 
-        inline float getRecoveredHealth() const
-            { return this->recoveredHealth_; }
-        inline void setRecoveredHealth(float recovery)
-            { this->recoveredHealth_ = recovery; }
+            inline float getRecoveredHealth() const
+                { return this->recoveredHealth_; }
+            inline void setRecoveredHealth(float recovery)
+                { this->recoveredHealth_ = recovery; }
 
-    private:
-        float recoveredHealth_;
+        private:
+            float recoveredHealth_;
     };
 }
Index: code/branches/pickup3/src/orxonox/pickup/items/HealthUsable.cc
===================================================================
--- code/branches/pickup3/src/orxonox/pickup/items/HealthUsable.cc	(revision 6418)
+++ code/branches/pickup3/src/orxonox/pickup/items/HealthUsable.cc	(revision 6419)
@@ -45,6 +45,6 @@
 
     /**
-        @brief Constructor
-        @param creator Object that created this item.
+    @brief Constructor
+    @param creator Object that created this item.
     */
     HealthUsable::HealthUsable(BaseObject* creator) : UsableItem(creator)
@@ -54,12 +54,14 @@
         this->recoveredHealth_ = 0;
     }
+
     //! Deconstructor
     HealthUsable::~HealthUsable()
     {
     }
+
     /**
-        @brief XMLPort for Jump.
-        @param xmlelement Element of the XML-file.
-        @param mode XMLPort mode to use.
+    @brief XMLPort for Jump.
+    @param xmlelement Element of the XML-file.
+    @param mode XMLPort mode to use.
     */
     void HealthUsable::XMLPort(Element& xmlelement, XMLPort::Mode mode)
@@ -69,8 +71,11 @@
         XMLPortParam(HealthUsable, "recoveredHealth", setRecoveredHealth, getRecoveredHealth, xmlelement, mode);
     }
+
     /**
-        @brief Called when the item is used, makes the user "jump".
-        @param pawn Pawn which used te item.
+    @brief Called when the item is used, makes the user "jump".
+    @param pawn Pawn which used te item.
     */
+    //TODO: Jump? Nope! => Comment.
+    //Should be destroyed anyways.
     void HealthUsable::used(Pawn* pawn)
     {
@@ -85,7 +90,8 @@
         }
     }
+
     /**
-        @brief Called when the item is picked up.
-        @param pawn Pawn which picked up the item.
+    @brief Called when the item is picked up.
+    @param pawn Pawn which picked up the item.
     */
     bool HealthUsable::pickedUp(Pawn* pawn)
@@ -93,7 +99,8 @@
         return this->addTo(pawn);
     }
+
     /**
-        @brief Called when the item is dropped, creates a DroppedItem behind the pawn.
-        @param pawn Pawn which dropped the item.
+    @brief Called when the item is dropped, creates a DroppedItem behind the pawn.
+    @param pawn Pawn which dropped the item.
     */
     bool HealthUsable::dropped(Pawn* pawn)
Index: code/branches/pickup3/src/orxonox/pickup/items/Jump.h
===================================================================
--- code/branches/pickup3/src/orxonox/pickup/items/Jump.h	(revision 6418)
+++ code/branches/pickup3/src/orxonox/pickup/items/Jump.h	(revision 6419)
@@ -50,45 +50,46 @@
     class _OrxonoxExport Jump : public UsableItem
     {
-    public:
-        Jump(BaseObject* creator);      //!< Constructor
-        virtual ~Jump();                //!< Deconstructor
+        public:
+            //TODO: Comment. a.s.o.
+            Jump(BaseObject* creator);      //!< Constructor
+            virtual ~Jump();                //!< Deconstructor
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);  //!< XMLPort
 
-        virtual int getMaxCarryAmount() const
-            { return INT_MAX; }
+            virtual int getMaxCarryAmount() const
+                { return INT_MAX; }
 
-        virtual void used(Pawn* pawn);          //!< Called when the item is used.
+            virtual void used(Pawn* pawn);          //!< Called when the item is used.
 
-        virtual bool pickedUp(Pawn* pawn);      //!< Called when the item is picked up.
-        virtual bool dropped(Pawn* pawn);       //!< Called when the item is dropped.
+            virtual bool pickedUp(Pawn* pawn);      //!< Called when the item is picked up.
+            virtual bool dropped(Pawn* pawn);       //!< Called when the item is dropped.
 
-        /**
-            @brief Get the velocity added when the item is used.
-            @return Returns the added velocity (relative to the Pawn).
-        */
-        inline const Vector3& getVelocity() const
-            { return this->velocity_; }
-        /**
-            @brief Set the velocity added when the item is used.
-            @param velocity New added velocity (relative to Pawn).
-        */
-        inline void setVelocity(const Vector3& velocity)
-            { this->velocity_ = velocity; }
-        /**
-            @brief Get the amount of jumps available.
-            @return Returns how many times the item can be used.
-        */
-        inline int getJumpsAvailable() const
-            { return this->jumpsAvailable_; }
-        /**
-            @brief Set the amount of jumps available.
-            @param num New number of available jumps.
-        */
-        inline void setJumpsAvailable(int num)
-            { this->jumpsAvailable_ = num; }
-    private:
-        Vector3 velocity_;      //!< The velocity added when the item is used.
-        int jumpsAvailable_;    //!< Amount of jumps still available.
+            /**
+                @brief Get the velocity added when the item is used.
+                @return Returns the added velocity (relative to the Pawn).
+            */
+            inline const Vector3& getVelocity() const
+                { return this->velocity_; }
+            /**
+                @brief Set the velocity added when the item is used.
+                @param velocity New added velocity (relative to Pawn).
+            */
+            inline void setVelocity(const Vector3& velocity)
+                { this->velocity_ = velocity; }
+            /**
+                @brief Get the amount of jumps available.
+                @return Returns how many times the item can be used.
+            */
+            inline int getJumpsAvailable() const
+                { return this->jumpsAvailable_; }
+            /**
+                @brief Set the amount of jumps available.
+                @param num New number of available jumps.
+            */
+            inline void setJumpsAvailable(int num)
+                { this->jumpsAvailable_ = num; }
+        private:
+            Vector3 velocity_;      //!< The velocity added when the item is used.
+            int jumpsAvailable_;    //!< Amount of jumps still available.
     };
 }
